Page MenuHomePhabricator

Move tools-mail to trusty
Closed, ResolvedPublic

Description

Would also help ensure it is fully puppetized.

Migration checklist borrowed from T97574#1421958:

  • Instance creation
  • Instance configuration, pt 1 - restricted_to=tools.admin
  • External connectivity
  • Wikitech:
    • Associate IP
    • Add host name 'mailrelay-XX.tools.wmflabs.org'
    • Add host name 'mailsender.tools.wmflabs.org'
  • reverse DNS
    • Patch submitted
    • Patch merged
  • Create hieradata/labs/tools/host/tools-mailrelay-XX.yaml
    • Patch submitted
    • Patch merged
  • Set up Puppet classes: assign role role::labs::tools::mailrelay
  • Track puppet application
  • Add MX record (not in git, but LDAP? check with Coren)
  • Run tests

Event Timeline

yuvipanda raised the priority of this task from to Normal.
yuvipanda updated the task description. (Show Details)
yuvipanda added a project: Toolforge.
yuvipanda added subscribers: faidon, Aklapper, coren and 2 others.
valhallasw lowered the priority of this task from Normal to Low.Apr 27 2015, 12:25 PM
valhallasw moved this task from Triage to Backlog on the Toolforge board.
valhallasw added a subscriber: valhallasw.
coren claimed this task.Dec 7 2015, 9:14 PM
coren set Security to None.Dec 21 2015, 6:16 PM
coren removed a subscriber: coren.
coren removed coren as the assignee of this task.Jan 21 2016, 5:19 PM
coren added a subscriber: coren.
bd808 added a subscriber: bd808.Aug 15 2016, 4:23 PM

Note: tools-mail is a OpenGridEngine submit host, so we can't migrate it to jessie.

bd808 updated the task description. (Show Details)Aug 15 2016, 4:30 PM

Apparently I even wrote some tests for the relay at some point; https://github.com/valhallasw/mailrelay-tests

yuvipanda closed this task as Resolved.Feb 2 2017, 7:34 AM
yuvipanda claimed this task.

w00t, we were able to do the in-place upgrade for it:D